Dear all ,
Any one can advise to automate "uncut geometry " in dynamo ?
as an example in the picture, the floor has been cut with scupper drain and in case a hundred of scupper drain to uncut will be troublesome.
Dear all ,
Any one can advise to automate "uncut geometry " in dynamo ?
as an example in the picture, the floor has been cut with scupper drain and in case a hundred of scupper drain to uncut will be troublesome.
import clr
clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import *
from System.Collections.Generic import *
clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager
doc = DocumentManager.Instance.CurrentDBDocument
a = UnwrapElement(IN[0])
b = UnwrapElement(IN[1])
TransactionManager.Instance.EnsureInTransaction(doc)
SolidSolidCutUtils.RemoveCutBetweenSolids(doc,a,b)
TransactionManager.Instance.TransactionTaskDone()
@fluffyhugger Thanks you for your script. But my intention is to work for the multiple element to uncut the geometry if it all has been cut initially. You may refer to attached snap as example.
UncutGeometry.dyf (5.5 KB)
it’s perfect … and thank you so much.